Configuring Beam Entry Points
To use Beam, add an entry point to a group and assign your IoT SIM, Sigfox device, or other device to the group.
Enabling an Entry Point
-
In the SIM group, Sigfox group, or Inventory group settings screen, click Soracom Beam.
For detailed instructions on how to open the SIM Group settings screen, see Group Settings.
-
Click + Add Configuration, select an entry point type, and configure the settings.
The following entry points are available depending on the group type. For configuration details, refer to the linked entry point documentation pages.
Entry point Description HTTP Receives HTTP requests from a device and forwards them using HTTP or HTTPS to a specified URL (protocol, host name, port number, path). Suitable for forwarding requests to any API endpoint. Website Receives HTTP requests from a device and forwards them using HTTP or HTTPS to a specified host (protocol, host name, port number). The path specified in the original request is preserved. Suitable for changing the forwarding path depending on the device's situation. MQTT Receives MQTT sessions from a device and proxies them as MQTT or MQTTS sessions to a specified MQTT broker. TCP → TCP/TCPS Receives TCP packets from a device and forwards them using TCP or TCPS to a specified host. TCP → HTTP/HTTPS Receives TCP packets from a device, converts the messages into HTTP or HTTPS requests, and forwards them to a specified URL. UDP → HTTP/HTTPS Receives UDP packets from a device, converts the messages into HTTP or HTTPS requests, and forwards them to a specified URL. SMS → HTTP/HTTPS Receives SMS messages from a device, converts the messages into HTTP or HTTPS requests, and forwards them to a specified URL. USSD → HTTP/HTTPS Receives USSD messages from a device, converts the messages into HTTP or HTTPS requests, and forwards them to a specified URL. Available only for Global coverage SIM groups. -
Click Save.
-
Assign devices to the group. For instructions, see Managing devices.
Beam configuration is now complete.
Disabling an Entry Point
Beam charges are incurred per request. If you are temporarily not using Beam, disable the entry point configuration. If you are permanently not using Beam, delete the entry point configuration.
-
In the SIM group, Sigfox group, or Device group settings screen, click Soracom Beam.
-
Click the toggle switch for the entry point you want to disable, then click Disable.
To delete an entry point, click the delete icon and then click Delete.
Using Soracom API / Soracom CLI
You can also configure Beam entry points using the Soracom API or Soracom CLI.
Soracom API
To access the Soracom API, first use the auth API to obtain an API Key and Token. Refer to the API Usage Guide for instructions on how to use the API Key and Token in API requests.
To enable Beam, use Group:putConfigurationParameters to add an entry point with enabled set to true.
- Get your
group_idusingGroup:listGroups. - Use
SoracomBeamas thenamespace. - Specify properties in the request body according to the entry point type. For details, see the entry point documentation pages.
Example adding an HTTP entry point:
curl -v -X PUT https://api.soracom.io/v1/groups/{group_id}/configuration/SoracomBeam \
-H "X-Soracom-API-Key: $X_SORACOM_API_KEY" \
-H "X-Soracom-Token: $X_SORACOM_TOKEN" \
-H "Content-Type: application/json" \
-d '[
{
"key": "http://beam.soracom.io:8888/",
"value": {
"name": "test",
"enabled": true,
"destination": "https://beamtest.soracom.io/",
"addSubscriberHeader": true,
"addSimIdHeader": true,
"addMsisdnHeader": true,
"addEquipmentHeader": true,
"addSignature": true,
"psk": {
"$credentialsId": "CredentialsID"
},
"customHeaders": {
"X-GROUP-NAME": {
"action": "replace",
"headerKey": "X-GROUP-NAME",
"headerValue": "TEST"
}
}
}
}
]'
Soracom CLI
To use the Soracom CLI, you must first configure it to authenticate with your account information, authorization key, or SAM user credentials.
To enable Beam, use soracom groups put-config (Group:putConfigurationParameters) to add an entry point with enabled set to true.
- Get your
group_idusingsoracom groups list(Group:listGroups). - The
namespaceisSoracomBeam. - The properties specified in the body depend on the entry point type. For more information, see the entry point documentation pages.
Example adding an HTTP entry point:
soracom groups put-config --group-id {group_id} --namespace SoracomBeam \
--body '[
{
"key": "http://beam.soracom.io:8888/",
"value": {
"name": "test",
"enabled": true,
"destination": "https://beamtest.soracom.io/",
"addSubscriberHeader": true,
"addSimIdHeader": true,
"addMsisdnHeader": true,
"addEquipmentHeader": true,
"addSignature": true,
"psk": {
"$credentialsId": "CredentialsID"
},
"customHeaders": {
"X-GROUP-NAME": {
"action": "replace",
"headerKey": "X-GROUP-NAME",
"headerValue": "TEST"
}
}
}
}
]'